package cn.iocoder.yudao.module.system.service.home;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.home.vo.HomeServiceAreaPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.home.vo.HomeServiceAreaRespVO;
import cn.iocoder.yudao.module.system.controller.admin.home.vo.HomeServiceAreaSaveReqVO;

public interface HomeServiceAreaService {

    Long createHomeServiceArea(HomeServiceAreaSaveReqVO createReqVO);

    void updateHomeServiceArea(HomeServiceAreaSaveReqVO updateReqVO);

    void deleteHomeServiceArea(Long id);

    HomeServiceAreaRespVO getHomeServiceArea(Long id);

    PageResult<HomeServiceAreaRespVO> getHomeServiceAreaPage(HomeServiceAreaPageReqVO pageReqVO);
}
